aboutsummaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorAlexey Kardashevskiy <aik@ozlabs.ru>2021-09-30 16:48:14 +1000
committerAlexey Kardashevskiy <aik@ozlabs.ru>2021-10-01 14:19:58 +1000
commit0705a5cc1df7ad6bd3c2a7dfb1faccd3b44269c1 (patch)
treeee9720426e1ba130936c7304d69941d734cadc65 /tools
parent6903c037a6b45140a495a6541ef92a0aabc7a30c (diff)
downloadSLOF-0705a5cc1df7ad6bd3c2a7dfb1faccd3b44269c1.zip
SLOF-0705a5cc1df7ad6bd3c2a7dfb1faccd3b44269c1.tar.gz
SLOF-0705a5cc1df7ad6bd3c2a7dfb1faccd3b44269c1.tar.bz2
js2x: Fix compile and cleanup
This moves shared symbols out from the header file and leaves only the minimum in bmc.h. This fixes a "while (...); {" bug spotted by the modern gcc. This fixes cleanup as otherwise the board-js2x/Makefile's "clean" tries cleaning "rtas" which tries cleaning all libs (not just the ones it uses) and that in turn triggers generation of lib/libtpm/Makefile.dep which fails due to missing ./board-js2x/include/version.h. This fixes create_reloc_table.sh to build with newer toolchains which otherwise fail with: ld: cannot use executable file 'reloc_table.o' as input to a link This adds js2x compile to the travis script to know when it breaks again. Signed-off-by: Alexey Kardashevskiy <aik@ozlabs.ru>
Diffstat (limited to 'tools')
-rwxr-xr-xtools/create_reloc_table.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/create_reloc_table.sh b/tools/create_reloc_table.sh
index 8cacb74..d4790dd 100755
--- a/tools/create_reloc_table.sh
+++ b/tools/create_reloc_table.sh
@@ -54,7 +54,7 @@ $OBJCOPY -O binary $TMP2.o $TMP2.bin || exit -1
# Create the relocation table with gen_reloc_table:
$DIRNAME/gen_reloc_table $TMP1.bin $TMP2.bin reloc_table.bin
-$LD -o reloc_table.o -bbinary reloc_table.bin -e0 || exit -1
+$LD -r -o reloc_table.o -bbinary reloc_table.bin -e0 || exit -1
$OBJCOPY --rename-section .data=.reloc reloc_table.o reloc_table.o || exit -1
rm -f $TMP1.o $TMP2.o $TMP1.bin $TMP2.bin reloc_table.bin